# -*- coding: UTF-8 -*-
# Python
"""
Created on Thu Jan 21 16:24:50 2021

update config-samir.json before send runSAMIR.py
First, you need to prepare the config-samir_XXXX.json to you experience XXXX
Second, you can use this script to update config-samir.json by a copy of your config-samir_XXXX.json to config-samir.json

@author: rivalland
"""

import sys  # system management
import os  # path management
import shutil  # file management

if __name__ == '__main__':
    if len(sys.argv) == 1:

        prog = os.path.basename(sys.argv[0])
        print('      ', sys.argv[0], ' [data selected]')

    else:
        currentdir = os.path.dirname(os.path.realpath(__file__))
        source_file = currentdir + os.sep + 'config_modspa.' + sys.argv[1]+'.json'
        if not os.path.exists(source_file):
            source_file = currentdir + os.sep + sys.argv[1]
        dest_file = currentdir + os.sep + 'config_modspa.json'
        print('source file:', source_file)
        print('destination file:', dest_file)
        shutil.copyfile(source_file, dest_file)
        print(dest_file, 'updated')
